class Bitset {
  final static int W=32;
  private int s;
  private int[] b;
  private int[] counter;
  private int popcount;
  private int subset;
  public Bitset(int i) {
    s=i;
    b=new int[W+1];
  }
  public void start() {
    counter=new int[W+1];
    popcount=0;
    subset=0;
    for(int i=0; i<W; i++) 
      if(((s>>i)&1) == 1) b[popcount++] = 1<<i;
  }
  public int subset() { return subset; }
  public void step() {
    int i=0;
    while(counter[i]==1) {
      subset ^= b[i];
      counter[i++]=0;
    }
    subset ^= b[i];
    counter[i]=1;
  }
  public boolean more() {
    return counter[popcount]==0;
  }
}

public class H15 {
  public static void main(String args[]) {
    Bitset s = new Bitset(51);
    for(s.start(); s.more(); s.step()) {
      for(int i=Bitset.W-1; i>=0; i--) System.out.print((s.subset()>>i)&1);
      System.out.println();
    }
  }
}
